<div uk-alert="" class="uk-alert-danger uikit-modern-micro">
    <div>
        <div class="uk-grid-small" uk-grid uk-height-match=".uk-card">
            <div class="uk-width-2-5">
                <div class="uk-card uk-card-default uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                    <p class="uk-margin-remove uk-text-small">PENALY</p>
                    <p class="uk-text-smaller uk-margin-remove">LAST: 2021.JUL.07:17.52</p>
                </div>
            </div>

            <div class="uk-width-3-5">
                <div class="uk-child-width-1-3 uk-grid-small" uk-grid>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column">
                                <p class="uk-margin-remove uk-text-small">{{allCount}}</p>
                                <p class="uk-margin-remove uk-text-smaller">PENAL</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="uk-card uk-card-default square">
                            <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                <p class="uk-margin-remove-bottom">{{params.penaltyTotal}}</p>
                                <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">POINTS</p>
                            </div>
                        </div>
                    </div>
                    <div>
                        <a (click)="sendPenaltyQuals()" uk-tooltip="title: SEND ALL; pos: top">
                            <div class="uk-card uk-card-default uk-card-hover square">
                                <div class="content uk-flex uk-flex-middle uk-flex-center uk-flex-column uk-text-center">
                                    <span uk-icon="icon: cloud-upload"></span>
                                    <p class="uk-margin-remove-top uk-margin-remove-bottom uk-text-smaller">SEND PENAL</p>
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!---- TABLE ----->

    <div class="uk-card uk-card-default uk-padding-small uk-margin-small">
        <div class="">
            <table class="uk-table uk-table-middle uk-table-small uk-table-hover uk-table-divider">
                <thead>
                    <tr class="uk-background-secondary uk-light">
                        <th [hidden]="true" class="uk-table-shrink uk-text-smaller uk-text-center">CLAIM</th>
                        <th class="uk-table-large uk-text-smaller">PENALTY</th>
                        <th class="uk-text-smaller">DESCRIPTION</th>
                        <th class="uk-table-shrink uk-text-smaller">VALUE</th>
                        <th class="uk-table-shrink uk-text-smaller">TOTAL</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">ADD</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">SEND</th>
                        <th class="uk-table-shrink uk-text-smaller uk-text-center">ALERT</th>
                    </tr>
                </thead>
                <tbody *ngFor="let penalty of params.penalty;let penaltyindex = index">
                    <tr>
                        <td [hidden]="true" class="uk-text-smaller uk-text-center">
                            <a href="#" uk-icon="icon: warning; ratio: 0.75;"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-nowrap">{{penalty.name}}</td>
                        <td class="uk-text-smaller uk-text-nowrap uk-text-truncate">{{penalty.desc || 'N/A'}}</td>
                        <td class="uk-text-small uk-text-center">{{penalty.points}}</td>
                        <td *ngIf="!penalty.judgements" class="uk-text-small uk-text-center"></td>
                        <td *ngIf="penalty.judgements" class="uk-text-small uk-text-center">{{penalty.points * penalty.judgements.length}}</td>
                        <td class="uk-text-smaller uk-text-center">
                            <a (click)="addPenal(penaltyindex)" uk-icon="icon: plus-circle; ratio: 0.75;" uk-tooltip="title: ADD; pos: top"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-center">
                            <a (click)="sendPenaltyQuals()" uk-icon="icon: play-circle; ratio: 0.75;" uk-tooltip="title: SEND; pos: top"></a>
                        </td>
                        <td class="uk-text-smaller uk-text-center">

                            <app-status-visualizer [showPenaltyStatus]="true" [statusPenaltyData]="penalty.flag"></app-status-visualizer>

                        </td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td colspan="8">
                            <table class="uk-table uk-table-middle uk-table-small uk-table-hover uk-table-divider">
                                <thead>
                                    <tr>
                                        <th class="uk-table-shrink uk-text-smaller">VALUE</th>
                                        <th class="uk-table-shrink uk-text-smaller">MIN</th>
                                        <th class="uk-table-shrink uk-text-smaller">SEC</th>
                                        <th class="uk-table-large uk-text-smaller">COMMENT</th>
                                        <th class="uk-table-shrink uk-text-smaller">DEL</th>
                                    </tr>
                                </thead>

                                <tbody *ngIf="penalty.judgements">
                                    <tr *ngFor="let judgment of penalty.judgements;let judgmentindex = index">
                                        <td class="uk-text-smaller uk-text-center">{{penalty.points}}</td>
                                        <td class="uk-text-smaller uk-text-center uk-text-nowrap">
                                            <input (change)="changeFlagStatus(penaltyindex,0)" [(ngModel)]="judgment.time.min" style="width:30px;" min="0" type="number">
                                        </td>
                                        <td class="uk-text-smaller uk-text-center uk-text-nowrap">
                                            <input (change)="changeFlagStatus(penaltyindex,0)" [(ngModel)]="judgment.time.sec" style="width:30px;" min="0" max="60" type="number">
                                        </td>
                                        <td class="uk-text-smaller uk-text-nowrap">
                                            <input appValidateSpetialCharacters (keydown)="changeFlagStatus(penaltyindex,0)" [(ngModel)]="judgment.coment" class="uk-input uk-form-small" type="text" name="" placeholder="COMMENT"></td>
                                        <td class="uk-text-smaller uk-text-center">
                                            <a (click)="deletePenal(penaltyindex,judgmentindex)" uk-icon="icon: trash; ratio: 0.75;" uk-tooltip="title: ERASE; pos: top"></a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr class="uk-width-1-1">
                        <td class="uk-background-muted" colspan="8">
                            <hr class="uk-hr-divider">
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <!---- TABLE ----->
</div>